# DaprHttpBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client

## Class DaprHttpBuilder

- java.lang.Object
- - io.dapr.client.DaprHttpBuilder

    @Deprecated
    public class DaprHttpBuilder
    extends Object

Deprecated.
Use `DaprClientBuilder` instead, this will be removed in a future release.
A builder for the DaprHttp.

### Constructor Summary

Constructors
`DaprHttpBuilder()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`DaprHttp` `build()` Deprecated. Build an instance of the Http client based on the provided setup.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DaprHttpBuilder

    public DaprHttpBuilder()

Deprecated.

### Method Detail

#### build

    public DaprHttp build()

Deprecated.
Build an instance of the Http client based on the provided setup.

Returns:
  an instance of `DaprHttp`
Throws:
  `IllegalStateException` - if any required field is missing